LINUX.ORG.RU

Gentoo переезд с 13 на 17 профиль

 ,


0

1

Доброго нового года, всем вам!

Решил переехать в gentoo с 13 профиля, на 17.
Сделал, как описано в новости, но столкнулся с проблемой:

configure: error: unrecognized option: `-m32'


>>> Emerging (1 of 1) dev-libs/libgpg-error-1.27-r1::gentoo
 * libgpg-error-1.27.tar.bz2 BLAKE2B SHA512 size ;-) ...                                                                       [ ok ]
>>> Unpacking source...
>>> Unpacking libgpg-error-1.27.tar.bz2 to /tmp/portage/dev-libs/libgpg-error-1.27-r1/work
>>> Source unpacked in /tmp/portage/dev-libs/libgpg-error-1.27-r1/work
>>> Preparing source in /tmp/portage/dev-libs/libgpg-error-1.27-r1/work/libgpg-error-1.27 ...
 * Running elibtoolize in: libgpg-error-1.27/
 *   Applying target-nm/2.4.2 patch ...
 * Running elibtoolize in: libgpg-error-1.27/build-aux/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.4.2 patch ...
>>> Source prepared.
>>> Configuring source in /tmp/portage/dev-libs/libgpg-error-1.27-r1/work/libgpg-error-1.27 ...
 * abi_x86_32.x86: running multilib-minimal_abi_src_configure
 * econf: updating libgpg-error-1.27/build-aux/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating libgpg-error-1.27/build-aux/config.sub with /usr/share/gnuconfig/config.sub
/tmp/portage/dev-libs/libgpg-error-1.27-r1/work/libgpg-error-1.27/configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --disable-silent-rules --docdir=/usr/share/doc/libgpg-error-1.27-r1 --htmldir=/usr/share/doc/libgpg-error-1.27-r1/html --libdir=/usr/lib32 CC_FOR_BUILD=x86_64-pc-linux-gnu-gcc -m32 --enable-threads --enable-nls --disable-static --disable-languages --disable-languages
configure: error: unrecognized option: `-m32'
Try `/tmp/portage/dev-libs/libgpg-error-1.27-r1/work/libgpg-error-1.27/configure --help' for more information
 * ERROR: dev-libs/libgpg-error-1.27-r1::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_configure
 *             environment, line 1503:  Called multilib-minimal_src_configure
 *             environment, line  903:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *             environment, line 1117:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line  833:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *             environment, line  831:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *             environment, line  222:  Called multilib-minimal_abi_src_configure
 *             environment, line  897:  Called multilib_src_configure
 *             environment, line 1329:  Called econf 'CC_FOR_BUILD=x86_64-pc-linux-gnu-gcc' '-m32' '--enable-threads' '--enable-nls' '--disable-static' '--disable-languages' '--disable-languages'
 *        phase-helpers.sh, line  665:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *              die "$@"
 * 
 * If you need support, post the output of `emerge --info '=dev-libs/libgpg-error-1.27-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/libgpg-error-1.27-r1::gentoo'`.
 * The complete build log is located at '/tmp/portage/dev-libs/libgpg-error-1.27-r1/temp/build.log'.
 * The ebuild environment file is located at '/tmp/portage/dev-libs/libgpg-error-1.27-r1/temp/environment'.
 * Working directory: '/tmp/portage/dev-libs/libgpg-error-1.27-r1/work/libgpg-error-1.27-abi_x86_32.x86'
 * S: '/tmp/portage/dev-libs/libgpg-error-1.27-r1/work/libgpg-error-1.27'

>>> Failed to emerge dev-libs/libgpg-error-1.27-r1, Log file:



Доп.инфа:
emerge --info
Portage 2.3.13 (python 3.5.4-final-0, default/linux/amd64/17.0/desktop/plasma/systemd, gcc-6.4.0, glibc-2.25-r9, 4.12.12-gentoo x86_64)
=================================================================
System uname: Linux-4.12.12-gentoo-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.4.1
KiB Mem:    16449632 total,   1860428 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of repository gentoo: Mon, 01 Jan 2018 16:00:01 +0000
Head commit of repository gentoo: 7d670bcd5943bdb4642bc4c1e37672a048d70e14
Head commit of repository emacs: f44dab9e730f79b607f592a8a88b9eed8a00ada7

sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

emacs
    location: /var/lib/layman/emacs
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/emacs.git
    masters: gentoo
    priority: 50

Installed sets: @steam
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="X \ a52 aac acl acpi activities alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli cracklib crypt cxx dbus declarative dri dts dvd dvdr emacs emboss en encode exif fam firefox flac fortran gdbm gif git glamor gpg gpm gtk gtk3 iconv icu ipv6 jpeg kde kipi kwallet lcms ldap libnotify lvm mad mng modules mp3 mp4 mpeg multilib ncurses networkmanager nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qml qt3support qt5 readline resolvconf ru sdl seccomp semantic-desktop session spell ssl startup-notification svg systemd tcpd tiff touchpad truetype udev udisks unicode upower usb v4l vorbis widgets wxwidgets x264 xattr xcb xcomposite xft xkb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="ru en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru ru_RU en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="intel i915 i965 modesetting nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Кто может помочь?
Спасибо!

Если нужна еще инфа, готов выложить.
Может репы подключенные мешают?

Надо бы выпилить это steam... А то аж стыдно, все равно не пользую.

MaksVal ()

configure: error: unrecognized option: `-m32'

У тебя почему-то поломан мультилиб. Другие пакеты тоже не собираются? PS: комментарий выше — оказалось всё просто.

imul ★★★★★ ()
Последнее исправление: imul (всего исправлений: 1)

Так ведь еще новее профиль сделали, 17.1 или как-то так, не с генты пишу сейчас.

Bruce_Lee ★★ ()

В багзилле генты был этот баг, но сейчас я что-то не могу его найти. К ебилду libgpg-error там был патч, который фиксил эту проблему. Вот пофикшенный с помощью этого патча ебилд. Скопируй его в свой локальный локальный оверлей:

# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

inherit libtool ltprune multilib-minimal toolchain-funcs

DESCRIPTION="Contains error handling functions used by GnuPG software"
HOMEPAGE="http://www.gnupg.org/related_software/libgpg-error"
SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"

LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="common-lisp nls static-libs"

RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )
	abi_x86_32? (
		!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
		!<=app-emulation/emul-linux-x86-baselibs-20131008-r12
	)"
DEPEND="${RDEPEND}
	nls? ( sys-devel/gettext )"

MULTILIB_CHOST_TOOLS=(
	/usr/bin/gpg-error-config
)
MULTILIB_WRAPPED_HEADERS=(
	/usr/include/gpg-error.h
	/usr/include/gpgrt.h
)

src_prepare() {
	default
	elibtoolize
}

multilib_src_configure() {
	ECONF_SOURCE="${S}" econf \
		CC_FOR_BUILD="$(tc-getBUILD_CC)" \
		--enable-threads \
		$(use_enable nls) \
		$(use_enable static-libs static) \
		$(use_enable common-lisp languages) \
		$(multilib_is_native_abi || echo --disable-languages)
}

multilib_src_install_all() {
	einstalldocs
	prune_libtool_files --all
}

Rinaldus ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.